{{ $start := index .dtstart 2 }}
{{ $end := index .dtend 2 }}
{{ $start_date := time $start }}
{{ $end_date := time $end }}
<li>
  <!-- Titre -->
  <h3 class="event_title">{{ index .summary 2 }}</h3>
  <!-- formatage de la date -->
  <b>
    {{ $date_type := index .dtstart 1 }}
    {{ if eq $date_type "date" }}
      {{ $real_end_date := $end_date.AddDate 0 0 -1 }} <!-- Le calendrier prend pour date de fin le lendemain de celle indiquée dans nextcloud pour les évènements sur la journée -->
      {{ if eq $start_date.Year $real_end_date.Year}}
        {{ if eq $start_date.Month $real_end_date.Month}}
          {{ if eq $start_date.Day $real_end_date.Day }}
            Le {{ $start_date | time.Format ":date_long" }}
          {{ else }}
            Du {{ $start_date.Day }} au {{ $real_end_date | time.Format ":date_long" }}
          {{ end }}
        {{ else }}
          Du {{ $start_date.Day }} {{ $start_date.Month }} au {{ $end_date | time.Format ":date_long" }}
        {{ end }}
      {{ else }}
        Du {{ $start_date | time.Format ":date_long" }} au {{ $end_date | time.Format ":date_long" }}
      {{ end }}
    {{ else if eq $date_type "date-time" }}
      {{ $start_hour := $start | time.Format ":time_short" }}
      {{ $end_hour := $end | time.Format ":time_short" }}
      {{ if eq $start_date.Year $end_date.Year}}
        {{ if eq $start_date.Month $end_date.Month}}
          {{ if eq $start_date.Day $end_date.Day }}
            Le {{ $start_date | time.Format ":date_long" }} de {{ $start_hour }} à {{ $end_hour }}
          {{ else }}
            Du {{ $start_date | time.Format ":date_long" }} {{ $start_hour }} au {{ $end_date | time.Format ":date_long" }} {{ $end_hour }}
          {{ end }}
          {{ else }}
            Du {{ $start_date | time.Format ":date_long" }} {{ $start_hour }} au {{ $end_date | time.Format ":date_long" }} {{ $end_hour }}
        {{ end }}
      {{ else }}
            Du {{ $start_date | time.Format ":date_long" }} {{ $start_hour }} au {{ $end_date | time.Format ":date_long" }} {{ $end_hour }}
      {{ end }}
    {{ end }}
  </b>
  <!-- Lieu -->
  <i>{{ index .location 2 }}</i>
  <!-- Récurrence s'il y a lieu' -->
  {{ if eq (index .rrule 1) "recur" }}
    <br>
    {{ partial "get_recurr.html" . }}
  {{ end }}
  <br>
  <!-- Description -->
  <div class="event_desc">
    {{ index .description 2 | markdownify}}
  </div>
</li>
